## smokeping 1.38

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SHELL = /bin/sh
-VERSION = 1.34
+VERSION = 1.38
 IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD
 GROFF = groff
 .PHONY: man html txt ref patch killdoc doc tar
@@ -53,8 +53,10 @@
 
 txt: $(TXT)
 
-ref:	
-	./bin/smokeping.dist --makepod > doc/smokeping_config.pod
+ref: doc/smokeping_config.pod
+
+doc/smokeping_config.pod: lib/Smokeping.pm
+	perl -Ilib -I/usr/pack/rrdtool-1.0.47-to/lib/perl -mSmokeping ./bin/smokeping.dist --makepod > doc/smokeping_config.pod
 patch:
 	perl -i~ -p -e 's/VERSION="\d.*?"/VERSION="$(VERSION)"/' lib/Smokeping.pm 
 	perl -i~ -p -e 's/Smokeping \d.*?;/Smokeping $(VERSION);/' bin/smokeping.dist htdocs/smokeping.cgi.dist
