## smokeping 2.0.9

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 SHELL = /bin/sh
-VERSION = 2.0.8
+VERSION = 2.0.9
 ############ A is for features
 ############ B is for bugfixes
 ############ V.AAABBB
 ############ 2.000001
 ############ 2.000002
-NUMVERSION = 2.000008
+NUMVERSION = 2.000009
 IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD|pod2htm[di]\.tmp|.svn
 GROFF = groff
 .PHONY: man html txt ref examples check-examples patch killdoc doc tar rename-man symlinks remove-symlinks
