## smokeping 2.1.1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
 SHELL = /bin/sh
-VERSION = 2.0.9
+VERSION = 2.1.1
 ############ A is for features
 ############ B is for bugfixes
 ############ V.AAABBB
 ############ 2.000001
 ############ 2.000002
-NUMVERSION = 2.000009
-IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD|pod2htm[di]\.tmp|.svn
+NUMVERSION = 2.001001
+IGNORE = ~|CVS|var/|smokeping-$(VERSION)/smokeping-$(VERSION)|cvsignore|rej|orig|DEAD|pod2htm[di]\.tmp|\.svn|tar\.gz|DEADJOE
 GROFF = groff
+PERL = perl-5.8.8
 .PHONY: man html txt ref examples check-examples patch killdoc doc tar rename-man symlinks remove-symlinks
 .SUFFIXES:
 .SUFFIXES: .pm .pod .txt .html .man .1 .3 .5 .7
@@ -17,11 +18,13 @@
 PM :=  lib/Config/Grammar.pm lib/Smokeping.pm lib/Smokeping/Examples.pm lib/Smokeping/RRDtools.pm
 PODPROBE :=  $(wildcard lib/Smokeping/probes/*.pm)
 PODMATCH :=  $(wildcard lib/Smokeping/matchers/*.pm)
+PODSORT :=  $(wildcard lib/Smokeping/sorters/*.pm)
 
 DOCSBASE = $(subst .pod,,$(DOCS))
 MODBASE = $(subst .pm,,$(subst lib/,doc/,$(PM))) \
 	$(subst .pm,,$(subst lib/,doc/,$(PODPROBE))) \
-	$(subst .pm,,$(subst lib/,doc/,$(PODMATCH)))
+	$(subst .pm,,$(subst lib/,doc/,$(PODMATCH))) \
+	$(subst .pm,,$(subst lib/,doc/,$(PODSORT)))
 PROGBASE = doc/smokeping doc/smokeping.cgi doc/tSmoke
 DOCSCONFIGBASE = doc/smokeping_config
 
@@ -36,8 +39,8 @@
 # pod2html apparently needs to be in the target directory to get L<> links right
 POD2HTML= cd $(dir $@); top="$(shell echo $(dir $@)|sed -e 's,doc/,,' -e 's,[^/]*/,../,g' -e 's,/$$,,')"; top=$${top:-.}; pod2html --infile=$(CURDIR)/$< --noindex --htmlroot=. --podroot=. --podpath=$${top} --title=$* | $${top}/../util/fix-pod2html.pl > $(notdir $@)
 # we go to this trouble to ensure that MAKEPOD only uses modules in the installation directory
-MAKEPOD= perl -I/home/oetiker/lib/fake-perl/ -Ilib -I/usr/pack/rrdtool-1.2svn-to/lib/perl -mSmokeping -e 'Smokeping::main()' -- --makepod
-GENEX= perl -I/home/oetiker/lib/fake-perl/ -Ilib -I/usr/pack/rrdtool-1.2svn-to/lib/perl -mSmokeping -e 'Smokeping::main()' -- --gen-examples
+MAKEPOD= $(PERL) -I/home/oetiker/lib/fake-perl/ -Ilib -I/usr/pack/rrdtool-1.2svn-to/lib/perl -mSmokeping -e 'Smokeping::main()' -- --makepod
+GENEX= $(PERL) -I/home/oetiker/lib/fake-perl/ -Ilib -I/usr/pack/rrdtool-1.2svn-to/lib/perl -mSmokeping -e 'Smokeping::main()' -- --gen-examples
 
 doc/%.7: doc/%.pod
 	$(POD2MAN) --section 7 > $@
@@ -58,6 +61,8 @@
 	$(POD2MAN) --section 3 > $@
 doc/Smokeping/matchers/%.3: lib/Smokeping/matchers/%.pm
 	$(POD2MAN) --section 3 > $@
+doc/Smokeping/sorters/%.3: lib/Smokeping/sorters/%.pm
+	$(POD2MAN) --section 3 > $@
 doc/Config/%.3: lib/Config/%.pm
 	$(POD2MAN) --section 3 > $@
 doc/smokeping.1: bin/smokeping.dist
@@ -77,6 +82,8 @@
 	$(POD2HTML)
 
 doc/Smokeping/matchers/%.html: lib/Smokeping/matchers/%.pm
+	$(POD2HTML)
+doc/Smokeping/sorters/%.html: lib/Smokeping/sorters/%.pm
 	$(POD2HTML)
 doc/Config/%.html: lib/Config/%.pm
 	$(POD2HTML)
@@ -103,7 +110,7 @@
 txt: $(TXT)
 
 rename-man: $(MAN)
-	for j in probes matchers; do \
+	for j in probes matchers sorters; do \
 	  for i in doc/Smokeping/$$j/*.3; do \
 	    if echo $$i | grep Smokeping::$$j>/dev/null; then :; else \
 	      mv $$i `echo $$i | sed s,$$j/,$$j/Smokeping::$$j::,`; \
@@ -135,27 +142,26 @@
 doc/smokeping_examples.pod: lib/Smokeping/Examples.pm etc/config.dist
 	$(GENEX)
 patch:
-	perl -i~ -p -e 's/VERSION="\d.*?"/VERSION="$(NUMVERSION)"/' lib/Smokeping.pm 
-	perl -i~ -p -e 's/Smokeping \d.*?;/Smokeping $(NUMVERSION);/' bin/smokeping.dist htdocs/smokeping.cgi.dist bin/tSmoke.dist
-	perl -i~ -p -e 'do { my @d = localtime; my $$d = (1900+$$d[5])."/".(1+$$d[4])."/".$$d[3]; print "$$d -- released version $(VERSION)\n\n" } unless $$done++ || /version $(VERSION)/' CHANGES
+	$(PERL) -i~ -p -e 's/VERSION="\d.*?"/VERSION="$(NUMVERSION)"/' lib/Smokeping.pm 
+	$(PERL) -i~ -p -e 's/Smokeping \d.*?;/Smokeping $(NUMVERSION);/' bin/smokeping.dist htdocs/smokeping.cgi.dist bin/tSmoke.dist
+	$(PERL) -i~ -p -e 'do { my @d = localtime; my $$d = (1900+$$d[5])."/".(1+$$d[4])."/".$$d[3]; print "$$d -- released version $(VERSION)\n\n" } unless $$done++ || /version $(VERSION)/' CHANGES
 
 killdoc:
-	-rm doc/*.[1357] doc/*.txt doc/*.html doc/Smokeping/* doc/Smokeping/probes/* doc/Smokeping/matchers/* doc/Config/* doc/examples/* doc/smokeping_examples.pod doc/smokeping_config.pod doc/smokeping.pod doc/smokeping.cgi.pod
+	-rm doc/*.[1357] doc/*.txt doc/*.html doc/Smokeping/* doc/Smokeping/probes/* doc/Smokeping/matchers/* doc/Smokeping/sorters/* doc/Config/* doc/examples/* doc/smokeping_examples.pod doc/smokeping_config.pod doc/smokeping.pod doc/smokeping.cgi.pod
 
 doc:    killdoc ref examples man html txt rename-man
 
 # patch first so Smokeping.pm is older than smokeping_config.pod in the tarball
 tar:	patch doc
 	-ln -s . smokeping-$(VERSION)
-	find smokeping-$(VERSION)/* -type f -follow -o -type l | egrep -v '$(IGNORE)' | gtar -T - -czvf smokeping-$(VERSION).tar.gz
+	find smokeping-$(VERSION)/* -type f -follow -o -type l | egrep -v '$(IGNORE)' | tar -T - -czvf smokeping-$(VERSION).tar.gz
 	rm smokeping-$(VERSION)
 
 commit:
 	svn commit -m "prepare for the release of smokeping-$(VERSION)"
 	
 dist:   tar commit
-	mv smokeping-$(VERSION).tar.gz /home/oetiker/public_html/webtools/smokeping/pub/
-	cp CHANGES /home/oetiker/public_html/webtools/smokeping/pub/CHANGES
+	scp CHANGES smokeping-$(VERSION).tar.gz oposs@oss.oetiker.ch:public_html/smokeping/pub/
 
 tag:    dist
 	svn ls svn://svn.ee.ethz.ch/smokeping/tags/$(VERSION) || \
