## smokeping 2.6.5

=== debian/changelog ===
smokeping (2.6.5-2) unstable; urgency=low

  * Bug fix: "prompting due to modified conffiles which where not modified
    by the user", thanks to Holger Levsen (Closes: #655968). This is done
    by simply removing ucf config files that were not changed before
    installing them.
  * fix lintian warning by refering explicitly to GPL-2
  * update standards version to 3.9.2, no change
  * unset locale (LC_ALL) when building to please the build process

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 15 Jan 2012 18:17:16 -0500

smokeping (2.6.5-1) unstable; urgency=low

  * fix pathnames

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 21 Nov 2011 22:26:40 -0500

smokeping (2.6.5-1~experimental1) experimental; urgency=low

  * fix reload in startup script
  * forgot in previous changelog: stop using ucf now that we generate
    config files during build, which leads to extra prompts during
    upgrades.

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 16 Nov 2011 11:59:33 -0500

smokeping (2.6.5-1~experimental0) experimental; urgency=low

  * new upstream release (Closes: #485977).
  * take over maintainership, leaving previous maintainer as uploader
    (Closes: #568742).
  * remove patches:
    * 15_clean_makefile.dpatch - makefile is now clean
    * 20_html-parser.dpatch - obsolete
  * strip down patch:
    * 10_path_changes.dpatch - only fix the HTML paths
  * add patches:
    * fcgi_destdir - setup the fcgi script properly
    * fix-conf-path-cgi - hardcode the path to the config in the CGI script
    * fix-conf-paths - fix paths in main config
    * fix-perl-lib - fix path to PERLIB
    * proper-sample-conf - have a proper sample config
    * typo_642197 - fix typo in mail template (Closes: #642197)
    * fix-400d-graph - fix long term graph (Closes: #618851)
  * rewrite debian/rules with debhelper 7
  * remove our custom config.d files, instead we split the upstream config
    in multiple files during the build, our modifications are now patches
    to the default config (Closes: #589679)
  * remove old (pre 2.3.6) compatibility code, now that even oldstable is
    running that release
  * switch to 3.0 (quilt) format

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 07 Nov 2011 00:15:53 -0500

smokeping (2.3.6-5) unstable; urgency=medium

  * debian/patches/20_html-parser.dpatch: fix an incompatibility with
    recent versions of HTML::Parser. (Closes: #560562)

 -- Niko Tyni <ntyni@debian.org>  Sun, 20 Dec 2009 22:38:16 +0200

smokeping (2.3.6-4) unstable; urgency=low

  * Depend on libconfig-grammar-perl instead of bundling it. (Closes: #531196)
  * Install the perl code in /usr/share/smokeping/lib instead of
    /usr/share/perl5/smokeping.
  * Downgrade the exim4 | mail-transport agent dependency to a suggestion.
    (Closes: #520350)
  * Remove the obsolete libnet-perl dependency.
  * Depend on javascript libraries instead of bundling them. (Closes: #475285)
    + cpio not used anymore. (Closes: #537026)
  * Move away from /var/www but add compatibility symlinks on upgrades.
    See NEWS.Debian. (Closes: #521333)
    + automatically enable the web server configuration on new installations
      where possible.
  * Serve UTF-8 by default. Thanks to Elmar Hoffmann. (Closes: #506978)
  * Don't ship /var/run/smokeping, it will be created at run time.
  * Upgrade to Standards-Version 3.8.2.
    + add Homepage, Vcs-Git, and Vcs-Browser information to debian/control. 
  * Change the alternate web server recommendation to httpd-cgi as per policy.

 -- Niko Tyni <ntyni@debian.org>  Tue, 21 Jul 2009 21:11:01 +0300

smokeping (2.3.6-3) unstable; urgency=low

  * Unset LC_ALL in the init script because the daemon needs to 
    reset LC_NUMERIC. (Closes: #489766)
  * Fix a bashism in the postinst script. Thanks, lintian.

 -- Niko Tyni <ntyni@debian.org>  Fri, 29 Aug 2008 18:29:34 +0300

smokeping (2.3.6-2) unstable; urgency=low

  * Kill speedy_backend processes that are running on stop (Closes: #485880)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Wed, 02 Jul 2008 00:30:34 +0200

smokeping (2.3.6-1) unstable; urgency=low

  * New upstream release.
    + honours the 'linkstyle' variable when zooming. (Closes: #476404)
  * Wait until the daemon has exited when stopping it with the init.d script.
    This should fix a race condition that made restarts fail sporadically.
    (Closes: #478241)

 -- Niko Tyni <ntyni@debian.org>  Mon, 28 Apr 2008 21:49:28 +0300

smokeping (2.3.5-2) unstable; urgency=low

  * Prevent an unnecessary ucf prompt for the Slaves section on upgrades.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Fri, 04 Apr 2008 08:47:24 +0300

smokeping (2.3.5-1) experimental; urgency=low

  * New upstream release. (Closes: #470295)
    + debian/patches/30_slave_piddir.dpatch: removed, included upstream.
    + new dependency on libdigest-hmac-perl
  * Revisit the directory permissions of various directories under /var.
    See also NEWS.Debian.
    + use /var/lib/smokeping/__cgi as a storage place for the CGI.
      (Closes: #470382)
    + debian/postinst: 
      * set the right permissions on install
      * move *.adr files under __cgi on upgrade
  * honour DAEMON_ARGS from /etc/default/smokeping even in slave mode.
  * Remove the example target hierarchy 'World' from the default configuration
    file, so that no unnecessary directories are created in the CGI directory.
  * debian/rules: recreate empty documentation directories if needed to ease 
    working with a git repository.
  * Split the monolithic configuration file into configuration snippets
    in /etc/smokeping/config.d. See NEWS.Debian. (Closes: #473223)
    + use ucf for managing all the configuration files to ease the merging
    + debian/patches/20_conffile.dpatch: removed
  * Install the upstream config template in /usr/share/doc too, because
    smokeping_examples(7) says so and it doesn't hurt.
  * Update debian/copyright.
  * Don't blindly remove the whole /etc/smokeping on purge, just the

