## smokeping 2.6.7

=== debian/changelog ===
smokeping (2.6.7-1) unstable; urgency=high

  * New upstream release to fix CVE-2012-0790 (Closes: #659899)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 14 Feb 2012 13:30:29 -0500
