## smokeping 2.6.8

=== debian/changelog ===
smokeping (2.6.8-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to install missing files and fix FTBFS:
    "error: required file 'conftools/compile' not found"
  * Apply patch from upstream git to fix groff error:
    "alternative text 'the master/slave mode' contains non-escaped | or /"

 -- Andreas Moog <andreas.moog@warperbbs.de>  Tue, 28 Jan 2014 21:09:44 +0100

smokeping (2.6.8-2) unstable; urgency=high

  * Acknowledge gregor's NMU, thanks!
  * Urgency high to fix CVE-2012-0790 again (Closes: #659899)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 16 Mar 2013 20:19:34 -0400

smokeping (2.6.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails to install, remove, distupgrade, and install again":
    remove ucf config files also on install (not only on upgrade); cf. the
    changelog entry for 2.6.5-2 and #655968.
    (Closes: #668383)
  * Remove Niko Tyni from Uploaders as per his request in #668383.

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 Jul 2012 21:02:52 +0200

smokeping (2.6.8-1) unstable; urgency=low

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 26 Feb 2012 13:25:13 -0500
