=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: smokeping
 Section: net
 Priority: extra
-Maintainer: Antoine Beaupré <anarcat@debian.org>
-Uploaders: Niko Tyni <ntyni@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autoconf, automake
 Build-Depends-Indep: librrds-perl, groff-base, libhtml-parser-perl,
- libdigest-hmac-perl, libwww-perl, liburi-perl, libcgi-fast-perl, libconfig-grammar-perl
+ libdigest-hmac-perl, libwww-perl, liburi-perl, libcgi-fast-perl, libconfig-grammar-perl, dh-autoreconf
 Standards-Version: 3.9.2
 Homepage: http://smokeping.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/smokeping.git
