=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,6 @@
 TMP=$(CURDIR)/debian/smokeping
 
 override_dh_auto_configure:
-	autoconf
-	automake
 	./configure --prefix=/usr --with-htdocs-dir=/usr/share/smokeping/www --bindir=/usr/sbin --sysconfdir=/usr/share/doc/smokeping/
 
 
@@ -46,4 +44,4 @@
 	install -m 644 $(CURDIR)/debian/default-config $(TMP)/etc/smokeping/config
 
 %:
-	dh $@
+	dh $@ --with autoreconf
