=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,7 @@
 TMP=$(CURDIR)/debian/smokeping
 
 override_dh_auto_configure:
-	./configure --prefix=/usr --with-htdocs-dir=/usr/share/smokeping/www --bindir=/usr/sbin --sysconfdir=/usr/share/doc/smokeping/
-
+	dh_auto_configure -- --prefix=/usr --with-htdocs-dir=/usr/share/smokeping/www --bindir=/usr/sbin --sysconfdir=/usr/share/doc/smokeping/
 
 override_dh_auto_install:
 	dh_auto_install
