## smokeping 2.6.11

=== debian/changelog ===
smokeping (2.6.11-4) unstable; urgency=medium

  * add missing build-dep on rename (Closes: #826056)
  * check config file validity - thanks Matus UHLAR (Closes: #847924)
  * fix slave permissions configuration - thanks Sven Hartge (Closes: #760945)
  * bump dh compat, no change

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 28 Nov 2017 11:57:04 -0500

smokeping (2.6.11-3) unstable; urgency=medium

  * remove outdated information from README.Debian (Closes: #804384)
  * fix permissions error on default config, enable CGI module in postinst
    (Closes: #760474, #821925)
  * remove Rowan Thorpe from Uploaders, I haven't heard from him in over a
    year
  * fix lintian warnings
  * depend on default-mta to fix default config on fresh installs

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 18 May 2016 17:59:06 -0400

smokeping (2.6.11-2) unstable; urgency=high

  * security fix for CVE-2015-0859: code execution via CGI arguments due
    to Debian Apache configuration

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 10 Nov 2015 13:51:56 -0500

smokeping (2.6.11-1) unstable; urgency=medium

  * new upstream release, see https://oss.oetiker.ch/smokeping/pub/CHANGES
    (Closes: #708615, #759483, #783229)
  * do not ship incorrect .fcgi file (Closes: #695438)
  * port to apache 2.4 (Closes: #669799)
  * drop patches factored in upstream: fix-pod-escaping, fcgi_destdir
  * add patch to ignore missing VERSION file
  * add missing dependencies

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Jun 2015 22:53:39 -0400
