=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Section: net
 Priority: extra
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 10~)
  , autoconf
  , automake
  , dh-autoreconf
+ , dh-apache2
+ , apache2-dev
+ , rename
 Build-Depends-Indep: librrds-perl
  , groff-base
  , libhtml-parser-perl
@@ -14,7 +17,13 @@
  , liburi-perl
  , libcgi-fast-perl
  , libconfig-grammar-perl
-Standards-Version: 3.9.5
+ , libnet-openssh-perl
+ , libnet-snmp-perl
+ , libnet-ldap-perl
+ , libnet-dns-perl
+ , libnet-telnet-perl
+ , libio-pty-perl
+Standards-Version: 3.9.8
 Homepage: http://smokeping.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/smokeping.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/smokeping.git
@@ -37,10 +46,12 @@
  , libjs-cropper
  , libjs-scriptaculous
  , libjs-prototype
+ , default-mta | mail-transport-agent
 Recommends: apache2 | httpd-cgi
  , libsocket6-perl
  , dnsutils
  , echoping
+ , ${misc:Recommends}
 Suggests: curl
  , libauthen-radius-perl
  , libnet-ldap-perl
