=== debian/rules ===
--- 
+++ 
@@ -35,12 +35,13 @@
 	install -m 644 $(CURDIR)/htdocs/cropper/smokeping-zoom.js $(TMP)/usr/share/smokeping/www
 
 	mv $(TMP)/usr/share/doc/smokeping/*.dist $(TMP)/etc/smokeping/
-	rename 's/\.dist$$//' $(TMP)/etc/smokeping/*.dist $(TMP)/usr/share/smokeping/smokeping.fcgi.dist
+	rename 's/\.dist$$//' $(TMP)/etc/smokeping/*.dist
+	rm -f $(TMP)/usr/share/smokeping/smokeping.fcgi.dist
 	rm -f $(TMP)/usr/share/perl5/BER.pm $(TMP)/usr/share/perl5/SNMP_*
-	mv $(TMP)/usr/sbin/smokeping_cgi $(TMP)/usr/lib/cgi-bin/smokeping.cgi
-	install -m 644 $(CURDIR)/debian/apache2.conf $(TMP)/etc/smokeping
+	mv $(TMP)/usr/sbin/smokeping_cgi $(TMP)/usr/share/smokeping/smokeping.cgi
+	install -m 755 $(CURDIR)/debian/smokeping.cgi $(TMP)/usr/lib/cgi-bin/smokeping.cgi
 	$(CURDIR)/debian/split_config $(TMP)
 	install -m 644 $(CURDIR)/debian/default-config $(TMP)/etc/smokeping/config
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf,apache2
