=== debian/watch ===
version=3
http://oss.oetiker.ch/smokeping/pub/ smokeping-(.+)\.tar\.gz
