## smokeping 2.7.2

=== debian/changelog ===
smokeping (2.7.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Gabriel Filion ]
  * Update patch fping-protocol-version: setup default values (Closes: #908674)

  [ Antoine Beaupré ]
  * Update lintian bypass for embedded javascript

 -- Gabriel Filion <gabriel@koumbit.org>  Thu, 11 Oct 2018 19:22:32 -0400

smokeping (2.7.2-2) unstable; urgency=medium

  [ Gabriel Filion ]
  * Add patch fping-protocol-version. (Closes: #905752)

  [ Antoine Beaupré ]
  * upload to unstable (Closes: #898580)

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 26 Aug 2018 17:28:53 -0400

smokeping (2.7.2-1) experimental; urgency=medium

  * new upstream release (Closes: #898580)
  * drop patch typo_642197 fixed upstream

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 15 May 2018 12:21:26 -0400

smokeping (2.6.11-5) unstable; urgency=medium

  [ Gabriel Filion ]
  * Add a directory index to show the cgi instead of a 403 (Closes:
    #885699, #882987)

  [ Antoine Beaupré ]
  * document FastCGI configuration (Closes: #684870)
  * repository migrated to salsa
  * add Gabriel as maintainer

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 12 May 2018 15:48:07 -0400
