=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: smokeping
 Section: net
-Priority: extra
-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Priority: optional
+Maintainer: Gabriel Filion <gabriel@koumbit.org>
+Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>= 10~)
  , autoconf
  , automake
@@ -25,8 +26,8 @@
  , libio-pty-perl
 Standards-Version: 3.9.8
 Homepage: http://smokeping.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/smokeping.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/smokeping.git
+Vcs-Browser: https://salsa.debian.org/debian/smokeping
+Vcs-Git: https://salsa.debian.org/debian/smokeping.git
 
 Package: smokeping
 Architecture: all
@@ -61,10 +62,10 @@
  , libio-socket-ssl-perl
  , libnet-telnet-perl
 Description: latency logging and graphing system
- SmokePing consists of a daemon process which organizes the 
- latency measurements and a CGI which presents the graphs. 
+ SmokePing consists of a daemon process which organizes the
+ latency measurements and a CGI which presents the graphs.
  .
- With SmokePing you can measure latency and packet loss in your network. 
+ With SmokePing you can measure latency and packet loss in your network.
  SmokePing uses RRDtool to maintain a longterm datastore and to draw pretty
- graphs giving up to the minute information on the state of each 
+ graphs giving up to the minute information on the state of each
  network connection.
