=== debian/rules ===
--- 
+++ 
@@ -21,18 +21,27 @@
 
 TMP=$(CURDIR)/debian/smokeping
 
+SUBDIRS="doc etc htdocs lib bin"
+
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --with-htdocs-dir=/usr/share/smokeping/www --bindir=/usr/sbin --sysconfdir=/usr/share/doc/smokeping/
 
+override_dh_auto_build:
+	dh_auto_build -- SUBDIRS=$(SUBDIRS)
+
+override_dh_auto_test:
+	dh_auto_test -- SUBDIRS=$(SUBDIRS)
+
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install -- SUBDIRS=$(SUBDIRS)
 
-	rm -r $(TMP)/usr/share/smokeping/www/cropper
 	dh_link /var/cache/smokeping/images /usr/share/smokeping/www/images
+	install -m 644 $(CURDIR)/htdocs/js/smokeping.js $(TMP)/usr/share/smokeping/www/js
 	for d in cropper prototype scriptaculous; do \
-	        dh_link /usr/share/javascript/$$d /usr/share/smokeping/www/$$d; \
+		rm -rf $(TMP)/usr/share/smokeping/www/js/$$d ; \
+	        dh_link /usr/share/javascript/$$d /usr/share/smokeping/www/js/$$d; \
 	done
-	install -m 644 $(CURDIR)/htdocs/cropper/smokeping-zoom.js $(TMP)/usr/share/smokeping/www
+	rm -f $(TMP)/usr/share/smokeping/www/js/prototype.js
 
 	mv $(TMP)/usr/share/doc/smokeping/*.dist $(TMP)/etc/smokeping/
 	rename 's/\.dist$$//' $(TMP)/etc/smokeping/*.dist
